Get many schedule of values versions
get
/fscmRestApi/resources/11.13.18.05/sovVersions
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds a schedule of values version using the primary key.
Finder Variables- SovVersionId; integer; The primary key for schedule of values versions.
- PrimaryKey Finds a schedule of values version using the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AttributeCategory; string; Schedule of values descriptive flexfield context.
- AttributeChar1; string; Schedule of values descriptive flexfield character attribute 1.
- AttributeChar10; string; Schedule of values descriptive flexfield character attribute 10.
- AttributeChar2; string; Schedule of values descriptive flexfield character attribute 2.
- AttributeChar3; string; Schedule of values descriptive flexfield character attribute 3.
- AttributeChar4; string; Schedule of values descriptive flexfield character attribute 4.
- AttributeChar5; string; Schedule of values descriptive flexfield character attribute 5.
- AttributeChar6; string; Schedule of values descriptive flexfield character attribute 6.
- AttributeChar7; string; Schedule of values descriptive flexfield character attribute 7.
- AttributeChar8; string; Schedule of values descriptive flexfield character attribute 8.
- AttributeChar9; string; Schedule of values descriptive flexfield character attribute 9.
- AttributeDate1; string; Schedule of values descriptive flexfield date attribute 1.
- AttributeDate2; string; Schedule of values descriptive flexfield date attribute 2.
- AttributeDate3; string; Schedule of values descriptive flexfield date attribute 3.
- AttributeDate4; string; Schedule of values descriptive flexfield date attribute 4.
- AttributeDate5; string; Schedule of values descriptive flexfield date attribute 5.
- AttributeNumber1; number; Schedule of values descriptive flexfield number attribute 1.
- AttributeNumber10; number; Schedule of values descriptive flexfield number attribute 10.
- AttributeNumber2; number; Schedule of values descriptive flexfield number attribute 2.
- AttributeNumber3; number; Schedule of values descriptive flexfield number attribute 3.
- AttributeNumber4; number; Schedule of values descriptive flexfield number attribute 4.
- AttributeNumber5; number; Schedule of values descriptive flexfield number attribute 5.
- AttributeNumber6; number; Schedule of values descriptive flexfield number attribute 6.
- AttributeNumber7; number; Schedule of values descriptive flexfield number attribute 7.
- AttributeNumber8; number; Schedule of values descriptive flexfield number attribute 8.
- AttributeNumber9; number; Schedule of values descriptive flexfield number attribute 9.
- ContractId; integer; Unique identifier for the contract currently associated with the schedule of values version, identified by an active project association.
- ContractNumber; string; Number of the contract currently associated with the schedule of values version, identified by an active project association.
- CreatedBy; string; User who created the schedule of values version.
- CreationDate; string; Date and time when the schedule of values version was created.
- CurrencyCode; string; Currency code of a schedule of values version, which is always equal to the contract currency.
- FundsAvailable; number; Variance between the total contract funded amount and the total schedule of values amount.
- ItemValidationOrgId; number; Unique identifier for the item validation organization used to validate items assigned to schedule of values lines. The item validation organization is defined in the Receivables System Options for the Project Business Unit.
- LastUpdateDate; string; Date and time when the schedule of values version was last updated.
- LastUpdatedBy; string; User who last updated the schedule of values line.
- ProjectId; integer; Unique identifier for the project associated with the schedule of values version.
- ProjectName; string; Name of the project to which the schedule of values version is associated.
- ProjectNumber; string; Number of the project to which the schedule of values version is associated.
- SovVersionId; integer; Unique identifier for a schedule of values version.
- Status; string; Status of a schedule of values version.
- StatusCode; string; Nontranslated short code that indicates the status of a schedule of values version.
- TotalAmount; number; Total of all line amounts associated with the schedule of values version in contract currency.
- TotalFundedAmount; number; Total contract funded amount in contract currency.
- TotalPlannedAmount; number; Total amount planned in the financial project plan in contract currency.
- VersionDescription; string; Description of a schedule of values.
- VersionNumber; integer; Sequential version number of a schedule of values.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sovVersions
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sovVersions-item-response
Type:
Show Source
object-
AttributeCategory: string
Title:
Descriptive Flexfield ContextMaximum Length:30Schedule of values descriptive flexfield context. -
AttributeChar1: string
Title:
Character Attribute 1Maximum Length:240Schedule of values descriptive flexfield character attribute 1. -
AttributeChar10: string
Title:
Character Attribute 10Maximum Length:240Schedule of values descriptive flexfield character attribute 10. -
AttributeChar2: string
Title:
Character Attribute 2Maximum Length:240Schedule of values descriptive flexfield character attribute 2. -
AttributeChar3: string
Title:
Character Attribute 3Maximum Length:240Schedule of values descriptive flexfield character attribute 3. -
AttributeChar4: string
Title:
Character Attribute 4Maximum Length:240Schedule of values descriptive flexfield character attribute 4. -
AttributeChar5: string
Title:
Character Attribute 5Maximum Length:240Schedule of values descriptive flexfield character attribute 5. -
AttributeChar6: string
Title:
Character Attribute 6Maximum Length:240Schedule of values descriptive flexfield character attribute 6. -
AttributeChar7: string
Title:
Character Attribute 7Maximum Length:240Schedule of values descriptive flexfield character attribute 7. -
AttributeChar8: string
Title:
Character Attribute 8Maximum Length:240Schedule of values descriptive flexfield character attribute 8. -
AttributeChar9: string
Title:
Character Attribute 9Maximum Length:240Schedule of values descriptive flexfield character attribute 9. -
AttributeDate1: string
(date)
Title:
Date Attribute 1Schedule of values descriptive flexfield date attribute 1. -
AttributeDate2: string
(date)
Title:
Date Attribute 2Schedule of values descriptive flexfield date attribute 2. -
AttributeDate3: string
(date)
Title:
Date Attribute 3Schedule of values descriptive flexfield date attribute 3. -
AttributeDate4: string
(date)
Title:
Date Attribute 4Schedule of values descriptive flexfield date attribute 4. -
AttributeDate5: string
(date)
Title:
Date Attribute 5Schedule of values descriptive flexfield date attribute 5. -
AttributeNumber1: number
Title:
Number Attribute 1Schedule of values descriptive flexfield number attribute 1. -
AttributeNumber10: number
Title:
Number Attribute 10Schedule of values descriptive flexfield number attribute 10. -
AttributeNumber2: number
Title:
Number Attribute 2Schedule of values descriptive flexfield number attribute 2. -
AttributeNumber3: number
Title:
Number Attribute 3Schedule of values descriptive flexfield number attribute 3. -
AttributeNumber4: number
Title:
Number Attribute 4Schedule of values descriptive flexfield number attribute 4. -
AttributeNumber5: number
Title:
Number Attribute 5Schedule of values descriptive flexfield number attribute 5. -
AttributeNumber6: number
Title:
Number Attribute 6Schedule of values descriptive flexfield number attribute 6. -
AttributeNumber7: number
Title:
Number Attribute 7Schedule of values descriptive flexfield number attribute 7. -
AttributeNumber8: number
Title:
Number Attribute 8Schedule of values descriptive flexfield number attribute 8. -
AttributeNumber9: number
Title:
Number Attribute 9Schedule of values descriptive flexfield number attribute 9. -
ContractId: integer
Title:
Contract IDRead Only:trueUnique identifier for the contract currently associated with the schedule of values version, identified by an active project association. -
ContractNumber: string
Title:
Contract NumberRead Only:trueMaximum Length:240Number of the contract currently associated with the schedule of values version, identified by an active project association. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the schedule of values version. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the schedule of values version was created. -
CurrencyCode: string
Title:
Currency CodeMaximum Length:15Currency code of a schedule of values version, which is always equal to the contract currency. -
FundsAvailable: number
Title:
Funds AvailableRead Only:trueVariance between the total contract funded amount and the total schedule of values amount. -
ItemValidationOrgId: number
Title:
Item Validation Organization IDRead Only:trueUnique identifier for the item validation organization used to validate items assigned to schedule of values lines. The item validation organization is defined in the Receivables System Options for the Project Business Unit. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueDate and time when the schedule of values version was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the schedule of values line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProjectId: integer
(int64)
Title:
Project IDUnique identifier for the project associated with the schedule of values version. -
ProjectName: string
Title:
Project NameMaximum Length:255Name of the project to which the schedule of values version is associated. -
ProjectNumber: string
Title:
Project NumberMaximum Length:255Number of the project to which the schedule of values version is associated. -
SovLines: array
Schedule of Values Lines
Title:
Schedule of Values LinesThe Schedule of Values Lines resource is used to view, update, delete, and take action on schedule of values lines. A schedule of values line represents a specific project deliverable which is primarily used to track progress against to drive billing. -
SovVersionId: integer
(int64)
Title:
Schedule of Values Version IDUnique identifier for a schedule of values version. -
Status: string
Title:
StatusRead Only:trueMaximum Length:255Status of a schedule of values version. -
StatusCode: string
Title:
Status CodeRead Only:trueMaximum Length:30Nontranslated short code that indicates the status of a schedule of values version. -
TotalAmount: number
Title:
Total AmountRead Only:trueTotal of all line amounts associated with the schedule of values version in contract currency. -
TotalFundedAmount: number
Title:
Total Funded AmountRead Only:trueTotal contract funded amount in contract currency. -
TotalPlannedAmount: number
Title:
Total Planned AmountRead Only:trueTotal amount planned in the financial project plan in contract currency. -
VersionDescription: string
Title:
DescriptionMaximum Length:2000Description of a schedule of values. -
VersionNumber: integer
(int64)
Title:
VersionSequential version number of a schedule of values.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Schedule of Values Lines
Type:
arrayTitle:
Schedule of Values LinesThe Schedule of Values Lines resource is used to view, update, delete, and take action on schedule of values lines. A schedule of values line represents a specific project deliverable which is primarily used to track progress against to drive billing.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : sovVersions-SovLines-item-response
Type:
Show Source
object-
Amount: number
Title:
AmountAmount of a schedule of values line in contract currency. -
AttributeCategory: string
Title:
Descriptive Flexfield ContextMaximum Length:30Schedule of values line descriptive flexfield context. -
AttributeChar1: string
Title:
Character Attribute 1Maximum Length:240Schedule of values line descriptive flexfield character attribute 1. -
AttributeChar10: string
Title:
Character Attribute 10Maximum Length:240Schedule of values line descriptive flexfield character attribute 10. -
AttributeChar2: string
Title:
Character Attribute 2Maximum Length:240Schedule of values line descriptive flexfield character attribute 2. -
AttributeChar3: string
Title:
Character Attribute 3Maximum Length:240Schedule of values line descriptive flexfield character attribute 3. -
AttributeChar4: string
Title:
Character Attribute 4Maximum Length:240Schedule of values line descriptive flexfield character attribute 4. -
AttributeChar5: string
Title:
Character Attribute 5Maximum Length:240Schedule of values line descriptive flexfield character attribute 5. -
AttributeChar6: string
Title:
Character Attribute 6Maximum Length:240Schedule of values line descriptive flexfield character attribute 6. -
AttributeChar7: string
Title:
Character Attribute 7Maximum Length:240Schedule of values line descriptive flexfield character attribute 7. -
AttributeChar8: string
Title:
Character Attribute 8Maximum Length:240Schedule of values line descriptive flexfield character attribute 8. -
AttributeChar9: string
Title:
Character Attribute 9Maximum Length:240Schedule of values line descriptive flexfield character attribute 9. -
AttributeDate1: string
(date)
Title:
Date Attribute 1Schedule of values line descriptive flexfield date attribute 1. -
AttributeDate2: string
(date)
Title:
Date Attribute 2Schedule of values line descriptive flexfield date attribute 2. -
AttributeDate3: string
(date)
Title:
Date Attribute 3Schedule of values line descriptive flexfield date attribute 3. -
AttributeDate4: string
(date)
Title:
Date Attribute 4Schedule of values line descriptive flexfield date attribute 4. -
AttributeDate5: string
(date)
Title:
Date Attribute 5Schedule of values line descriptive flexfield date attribute 5. -
AttributeNumber1: number
Title:
Number Attribute 1Schedule of values line descriptive flexfield number attribute 1. -
AttributeNumber10: number
Title:
Number Attribute 10Schedule of values line descriptive flexfield number attribute 10. -
AttributeNumber2: number
Title:
Number Attribute 2Schedule of values line descriptive flexfield number attribute 2. -
AttributeNumber3: number
Title:
Number Attribute 3Schedule of values line descriptive flexfield number attribute 3. -
AttributeNumber4: number
Title:
Number Attribute 4Schedule of values line descriptive flexfield number attribute 4. -
AttributeNumber5: number
Title:
Number Attribute 5Schedule of values line descriptive flexfield number attribute 5. -
AttributeNumber6: number
Title:
Number Attribute 6Schedule of values line descriptive flexfield number attribute 6. -
AttributeNumber7: number
Title:
Number Attribute 7Schedule of values line descriptive flexfield number attribute 7. -
AttributeNumber8: number
Title:
Number Attribute 8Schedule of values line descriptive flexfield number attribute 8. -
AttributeNumber9: number
Title:
Number Attribute 9Schedule of values line descriptive flexfield number attribute 9. -
ChangeIndicator: string
Title:
Change IndicatorRead Only:trueMaximum Length:255Indicates whether a line has been added or amended when the schedule of values is under revision. -
ChangeIndicatorCode: string
Title:
Change Indicator CodeMaximum Length:30Nontranslated short code that indicates whether a line has been added or amended when the schedule of values is under revision. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the line. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the line was created. -
InventoryItemId: integer
(int64)
Title:
Item IDUnique identifier for the inventory item associated with the line. -
InventoryItemNumber: string
Title:
ItemMaximum Length:255Inventory item number associated with the line. -
ItemOrganizationId: integer
(int64)
Title:
Item Organization IDUnique identifier for the inventory item organization associated with the line. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueDate and time when the line was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the line. -
LineDescription: string
Title:
DescriptionMaximum Length:2000Description of a schedule of values line. -
LineNumber: integer
(int64)
Title:
LineSequential line number that identifies a schedule of values line. -
LineStatus: string
Title:
StatusRead Only:trueMaximum Length:255Status of a schedule of values line. -
LineStatusCode: string
Title:
Status CodeRead Only:trueMaximum Length:30Nontranslated short code that indicates the status of a schedule of values line. -
LineType: string
Title:
TypeMaximum Length:255Line type of a schedule of values line. -
LineTypeCode: string
Title:
Type CodeMaximum Length:30Nontranslated short code that indicates the line type of a schedule of values line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Quantity: number
Title:
QuantityQuantity of a schedule of values line. Context for the quantity is provided by the unit of measure. -
SovLineId: integer
(int64)
Title:
Line IDUnique identifier for a schedule of values line. -
SovVersionId: integer
(int64)
Title:
Schedule of Values Version IDUnique identifier for the schedule of values version to which a line is associated. -
UnitOfMeasure: string
Title:
Unit of MeasureMaximum Length:255Unit of measure of a schedule of values line. Provides context to the quantity and unit price. -
UnitOfMeasureCode: string
Title:
Unit of Measure CodeMaximum Length:30Nontranslated short code that indicates the unit of measure of a schedule of values line. -
UnitPrice: number
Title:
Unit PriceUnit price of a schedule of values line in contract currency.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source